Package htsjdk.samtools

# Class BAMStartingAtIteratorFilter

java.lang.Object
htsjdk.samtools.BAMStartingAtIteratorFilter

public class BAMStartingAtIteratorFilter extends Object
A decorating iterator that filters out records that do not match the given reference and start position.

## Constructor Summary

Constructors
Constructor
Description
`BAMStartingAtIteratorFilter(int referenceIndex, int start)`

## Method Summary

Modifier and Type
Method
Description
`htsjdk.samtools.BAMIteratorFilter.FilteringIteratorState`
`compareToFilter(SAMRecord record)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BAMStartingAtIteratorFilter

public BAMStartingAtIteratorFilter(int referenceIndex, int start)

## Method Details

### compareToFilter

public htsjdk.samtools.BAMIteratorFilter.FilteringIteratorState compareToFilter(SAMRecord record)

Returns:
  MATCHES_FILTER if this record matches the filter; CONTINUE_ITERATION if does not match filter but iteration should continue; STOP_ITERATION if does not match filter and iteration should end.